Subject: Please help
From: "J. E. Touma" <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Wed, 11 Oct 2000 16:53:36 -0500

Hi all,
I'm having a problem compiling my C++ code under cygwin. It compiles
fine under Linux and Solaris. 
Here is the error message I'm getting after I type make

g++ -mno-cygwin -L/cygnus/mingw/lib -o afsri vecmatlib.o myutils.o Sri.o
mymath.o srifuncs.o irmaimage.o -lm
Sri.o(.text$__ls__H3ZcZt18string_char_traits1ZcZt24__default_alloc_template2b0i0_R7ostreamRCt12basic_string3ZX01ZX11ZX21_R7ostream+0x18):Sri.cc:
undefined reference to `ostream::write(char const *, int)'
collect2: ld returned 1 exit status
make: *** [afsri] Error 1

Now if I compile without -mno-cygwin -L/cygnus/mingw/lib (so that I can
run the code with the DLL) it works fine. 
I have all the appropriate header files. What is frustrating is that  I
don't even use ostream::write(char const *, int)' in the Sri.cc
mentioned above. Yes I open a file stream but I write asci text to it,
not binary. 

Is there a problem with the fstream.h file? It is on my system.

Any insight into this problem is appreciated.

Regads,
jim

-- 
Linux 2.2.13-7mdksmp #1 SMP Wed Sep 15 16:38:50 CEST 1999 i686
  4:45pm  up 51 days, 17:03,  3 users,  load average: 2.21, 2.06, 1.98

     .-.
     /v\    L   I   N   U   X
    // \\  >Phear the Penguin<
   /(   )\
    ^^-^^

_________________________________________________________
Do You Yahoo!?
Get your free @yahoo.com address at http://mail.yahoo.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]